Create or update a saved search
curl --request POST \
--url https://app.manypi.com/api/leads/research-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"criteria": {
"description": "<string>",
"count": 25,
"locations": [
"<string>"
],
"industries": [
"<string>"
],
"company_size": "<string>",
"stages": [
"<string>"
],
"titles": [
"<string>"
],
"keywords": [
"<string>"
],
"exclusions": [
"<string>"
],
"required_fields": [
"email"
],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": [
"<string>"
],
"notes": "<string>",
"construct_emails": true,
"annotate": true,
"use_brand_icp": true,
"lead_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"similar_to": {
"leads": [
{}
]
},
"triggers": {
"enabled": false,
"types": [],
"window_days": 90
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
'import requests
url = "https://app.manypi.com/api/leads/research-profiles"
payload = {
"criteria": {
"description": "<string>",
"count": 25,
"locations": ["<string>"],
"industries": ["<string>"],
"company_size": "<string>",
"stages": ["<string>"],
"titles": ["<string>"],
"keywords": ["<string>"],
"exclusions": ["<string>"],
"required_fields": ["email"],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": ["<string>"],
"notes": "<string>",
"construct_emails": True,
"annotate": True,
"use_brand_icp": True,
"lead_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"similar_to": { "leads": [{}] },
"triggers": {
"enabled": False,
"types": [],
"window_days": 90
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
criteria: {
description: '<string>',
count: 25,
locations: ['<string>'],
industries: ['<string>'],
company_size: '<string>',
stages: ['<string>'],
titles: ['<string>'],
keywords: ['<string>'],
exclusions: ['<string>'],
required_fields: ['email'],
extra_columns: [{name: '<string>', description: '<string>'}],
sources: ['<string>'],
notes: '<string>',
construct_emails: true,
annotate: true,
use_brand_icp: true,
lead_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
similar_to: {leads: [{}]},
triggers: {enabled: false, types: [], window_days: 90}
},
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>'
})
};
fetch('https://app.manypi.com/api/leads/research-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.manypi.com/api/leads/research-profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'criteria' => [
'description' => '<string>',
'count' => 25,
'locations' => [
'<string>'
],
'industries' => [
'<string>'
],
'company_size' => '<string>',
'stages' => [
'<string>'
],
'titles' => [
'<string>'
],
'keywords' => [
'<string>'
],
'exclusions' => [
'<string>'
],
'required_fields' => [
'email'
],
'extra_columns' => [
[
'name' => '<string>',
'description' => '<string>'
]
],
'sources' => [
'<string>'
],
'notes' => '<string>',
'construct_emails' => true,
'annotate' => true,
'use_brand_icp' => true,
'lead_list_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'similar_to' => [
'leads' => [
[
]
]
],
'triggers' => [
'enabled' => false,
'types' => [
],
'window_days' => 90
]
],
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.manypi.com/api/leads/research-profiles"
payload := strings.NewReader("{\n \"criteria\": {\n \"description\": \"<string>\",\n \"count\": 25,\n \"locations\": [\n \"<string>\"\n ],\n \"industries\": [\n \"<string>\"\n ],\n \"company_size\": \"<string>\",\n \"stages\": [\n \"<string>\"\n ],\n \"titles\": [\n \"<string>\"\n ],\n \"keywords\": [\n \"<string>\"\n ],\n \"exclusions\": [\n \"<string>\"\n ],\n \"required_fields\": [\n \"email\"\n ],\n \"extra_columns\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"sources\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"construct_emails\": true,\n \"annotate\": true,\n \"use_brand_icp\": true,\n \"lead_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"similar_to\": {\n \"leads\": [\n {}\n ]\n },\n \"triggers\": {\n \"enabled\": false,\n \"types\": [],\n \"window_days\": 90\n }\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.manypi.com/api/leads/research-profiles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"criteria\": {\n \"description\": \"<string>\",\n \"count\": 25,\n \"locations\": [\n \"<string>\"\n ],\n \"industries\": [\n \"<string>\"\n ],\n \"company_size\": \"<string>\",\n \"stages\": [\n \"<string>\"\n ],\n \"titles\": [\n \"<string>\"\n ],\n \"keywords\": [\n \"<string>\"\n ],\n \"exclusions\": [\n \"<string>\"\n ],\n \"required_fields\": [\n \"email\"\n ],\n \"extra_columns\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"sources\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"construct_emails\": true,\n \"annotate\": true,\n \"use_brand_icp\": true,\n \"lead_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"similar_to\": {\n \"leads\": [\n {}\n ]\n },\n \"triggers\": {\n \"enabled\": false,\n \"types\": [],\n \"window_days\": 90\n }\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.manypi.com/api/leads/research-profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"criteria\": {\n \"description\": \"<string>\",\n \"count\": 25,\n \"locations\": [\n \"<string>\"\n ],\n \"industries\": [\n \"<string>\"\n ],\n \"company_size\": \"<string>\",\n \"stages\": [\n \"<string>\"\n ],\n \"titles\": [\n \"<string>\"\n ],\n \"keywords\": [\n \"<string>\"\n ],\n \"exclusions\": [\n \"<string>\"\n ],\n \"required_fields\": [\n \"email\"\n ],\n \"extra_columns\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"sources\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"construct_emails\": true,\n \"annotate\": true,\n \"use_brand_icp\": true,\n \"lead_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"similar_to\": {\n \"leads\": [\n {}\n ]\n },\n \"triggers\": {\n \"enabled\": false,\n \"types\": [],\n \"window_days\": 90\n }\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "icp",
"criteria": {
"description": "<string>",
"count": 25,
"locations": [
"<string>"
],
"industries": [
"<string>"
],
"company_size": "<string>",
"stages": [
"<string>"
],
"titles": [
"<string>"
],
"keywords": [
"<string>"
],
"exclusions": [
"<string>"
],
"required_fields": [
"email"
],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": [
"<string>"
],
"notes": "<string>",
"construct_emails": true,
"contact_preference": "any",
"annotate": true,
"use_brand_icp": true,
"lead_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"similar_to": {
"leads": [
{}
]
},
"triggers": {
"enabled": false,
"types": [
"funding"
],
"window_days": 90
}
},
"run_count": 123,
"last_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}Leads
Create or update a saved search
Store a search without running it. Pass id to replace an existing profile in place: criteria replaces the stored criteria, and an omitted name is replaced by one generated from the criteria. To change only some fields — a rename, say — use PATCH /api/leads/research-profiles/{id}, which keeps whatever you leave out.
An API key needs Leads & companies: Read & write (leads:write), or the legacy write permission.
POST
/
api
/
leads
/
research-profiles
Create or update a saved search
curl --request POST \
--url https://app.manypi.com/api/leads/research-profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"criteria": {
"description": "<string>",
"count": 25,
"locations": [
"<string>"
],
"industries": [
"<string>"
],
"company_size": "<string>",
"stages": [
"<string>"
],
"titles": [
"<string>"
],
"keywords": [
"<string>"
],
"exclusions": [
"<string>"
],
"required_fields": [
"email"
],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": [
"<string>"
],
"notes": "<string>",
"construct_emails": true,
"annotate": true,
"use_brand_icp": true,
"lead_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"similar_to": {
"leads": [
{}
]
},
"triggers": {
"enabled": false,
"types": [],
"window_days": 90
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
'import requests
url = "https://app.manypi.com/api/leads/research-profiles"
payload = {
"criteria": {
"description": "<string>",
"count": 25,
"locations": ["<string>"],
"industries": ["<string>"],
"company_size": "<string>",
"stages": ["<string>"],
"titles": ["<string>"],
"keywords": ["<string>"],
"exclusions": ["<string>"],
"required_fields": ["email"],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": ["<string>"],
"notes": "<string>",
"construct_emails": True,
"annotate": True,
"use_brand_icp": True,
"lead_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"similar_to": { "leads": [{}] },
"triggers": {
"enabled": False,
"types": [],
"window_days": 90
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
criteria: {
description: '<string>',
count: 25,
locations: ['<string>'],
industries: ['<string>'],
company_size: '<string>',
stages: ['<string>'],
titles: ['<string>'],
keywords: ['<string>'],
exclusions: ['<string>'],
required_fields: ['email'],
extra_columns: [{name: '<string>', description: '<string>'}],
sources: ['<string>'],
notes: '<string>',
construct_emails: true,
annotate: true,
use_brand_icp: true,
lead_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
similar_to: {leads: [{}]},
triggers: {enabled: false, types: [], window_days: 90}
},
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>'
})
};
fetch('https://app.manypi.com/api/leads/research-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.manypi.com/api/leads/research-profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'criteria' => [
'description' => '<string>',
'count' => 25,
'locations' => [
'<string>'
],
'industries' => [
'<string>'
],
'company_size' => '<string>',
'stages' => [
'<string>'
],
'titles' => [
'<string>'
],
'keywords' => [
'<string>'
],
'exclusions' => [
'<string>'
],
'required_fields' => [
'email'
],
'extra_columns' => [
[
'name' => '<string>',
'description' => '<string>'
]
],
'sources' => [
'<string>'
],
'notes' => '<string>',
'construct_emails' => true,
'annotate' => true,
'use_brand_icp' => true,
'lead_list_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'similar_to' => [
'leads' => [
[
]
]
],
'triggers' => [
'enabled' => false,
'types' => [
],
'window_days' => 90
]
],
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.manypi.com/api/leads/research-profiles"
payload := strings.NewReader("{\n \"criteria\": {\n \"description\": \"<string>\",\n \"count\": 25,\n \"locations\": [\n \"<string>\"\n ],\n \"industries\": [\n \"<string>\"\n ],\n \"company_size\": \"<string>\",\n \"stages\": [\n \"<string>\"\n ],\n \"titles\": [\n \"<string>\"\n ],\n \"keywords\": [\n \"<string>\"\n ],\n \"exclusions\": [\n \"<string>\"\n ],\n \"required_fields\": [\n \"email\"\n ],\n \"extra_columns\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"sources\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"construct_emails\": true,\n \"annotate\": true,\n \"use_brand_icp\": true,\n \"lead_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"similar_to\": {\n \"leads\": [\n {}\n ]\n },\n \"triggers\": {\n \"enabled\": false,\n \"types\": [],\n \"window_days\": 90\n }\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.manypi.com/api/leads/research-profiles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"criteria\": {\n \"description\": \"<string>\",\n \"count\": 25,\n \"locations\": [\n \"<string>\"\n ],\n \"industries\": [\n \"<string>\"\n ],\n \"company_size\": \"<string>\",\n \"stages\": [\n \"<string>\"\n ],\n \"titles\": [\n \"<string>\"\n ],\n \"keywords\": [\n \"<string>\"\n ],\n \"exclusions\": [\n \"<string>\"\n ],\n \"required_fields\": [\n \"email\"\n ],\n \"extra_columns\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"sources\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"construct_emails\": true,\n \"annotate\": true,\n \"use_brand_icp\": true,\n \"lead_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"similar_to\": {\n \"leads\": [\n {}\n ]\n },\n \"triggers\": {\n \"enabled\": false,\n \"types\": [],\n \"window_days\": 90\n }\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.manypi.com/api/leads/research-profiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"criteria\": {\n \"description\": \"<string>\",\n \"count\": 25,\n \"locations\": [\n \"<string>\"\n ],\n \"industries\": [\n \"<string>\"\n ],\n \"company_size\": \"<string>\",\n \"stages\": [\n \"<string>\"\n ],\n \"titles\": [\n \"<string>\"\n ],\n \"keywords\": [\n \"<string>\"\n ],\n \"exclusions\": [\n \"<string>\"\n ],\n \"required_fields\": [\n \"email\"\n ],\n \"extra_columns\": [\n {\n \"name\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"sources\": [\n \"<string>\"\n ],\n \"notes\": \"<string>\",\n \"construct_emails\": true,\n \"annotate\": true,\n \"use_brand_icp\": true,\n \"lead_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"similar_to\": {\n \"leads\": [\n {}\n ]\n },\n \"triggers\": {\n \"enabled\": false,\n \"types\": [],\n \"window_days\": 90\n }\n },\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "icp",
"criteria": {
"description": "<string>",
"count": 25,
"locations": [
"<string>"
],
"industries": [
"<string>"
],
"company_size": "<string>",
"stages": [
"<string>"
],
"titles": [
"<string>"
],
"keywords": [
"<string>"
],
"exclusions": [
"<string>"
],
"required_fields": [
"email"
],
"extra_columns": [
{
"name": "<string>",
"description": "<string>"
}
],
"sources": [
"<string>"
],
"notes": "<string>",
"construct_emails": true,
"contact_preference": "any",
"annotate": true,
"use_brand_icp": true,
"lead_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"similar_to": {
"leads": [
{}
]
},
"triggers": {
"enabled": false,
"types": [
"funding"
],
"window_days": 90
}
},
"run_count": 123,
"last_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>"
}Authorizations
Body
application/json
